/*++Duration.java+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.icalendar;


/**
 * Duration: ICalendar DURATION property.
 *
 * Spec:
 *   section:	4.8.2.5
 *   occurs:	0-1 (VEVENT)
 *   datatypes:	duration (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparam (0+)
 *
 * @author slh
 * @version 0.00 2001/08/20 slh
 */
public
class  Duration
extends  DurationProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  public
  Duration  (		)
  {
    super( "DURATION" );
  }

}


/* Log:
 *  0.00  2001/08/20  slh
 *        create
 */
/*--Duration.java-----------------------------------------------------------*/
