// java

package edu.washington.cac.gsbarnes.util;

import java.io.*;

  /** A class to time things

    @author Greg Barnes
    @version 1.0
  */
public class Timer implements Serializable {
    long startTime;

    public void start() {
        startTime = System.currentTimeMillis();
    }

    public long getStartTime() {
	return startTime;
    }

    public long elapsedTime() {
	return System.currentTimeMillis() - startTime;
    }

//%%%% ditch this one when Log becomes subclass of PrintStream
    public void printElapsedTime(edu.washington.cac.myuw.servlet.Log l, 
				 String mesg) 
    {
	l.println(mesg + " time= " + elapsedTime() + " milliseconds");
    }

    public void printElapsedTime (edu.washington.cac.myuw.servlet.Log l, 
				  String messagePrefix,
				  String mesg) 
    {
	l.println(messagePrefix + mesg + " time= " + 
		  elapsedTime() + " milliseconds");
    }

    public void printElapsedTime(PrintStream ps, 
				 String mesg) 
    {
	ps.println(mesg + " time= " + elapsedTime() + " milliseconds");
    }
}
