// java

package uwcal.out;

import org.apache.ecs.Element;
import org.apache.ecs.Entities;
import org.apache.ecs.html.TD;

import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.EventsI;

/**
  A month grid that contains events
  @author Greg Barnes
  @version 1.1
 */
public class BigMonth extends Month 
{
  protected BigMonth(MyCalendar mc, EventsI es, GridEventPrinter gp) 
  {
    super(mc, es, gp);
  }

  protected Element blankDay() 
  {
    return new TD().setWidth(((GridEventPrinter) gp).DATE_WIDTH).
      addElement(Entities.NBSP).setClass(Style.NOT_A_DAY);
  }
}
