//
// Delete a user from authorization table.
//

/** DeleteUsersDelete: delete a user from authorization table after
  *                    editing is completed.
  *
  *@author Leman Chung
  *@date   Sept. 07, 2000
  */

package pubevents.authtable;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.io.PrintWriter;

import java.sql.SQLException;

import pubevents.PEDefaults;
import pubevents.PEParameter;
import pubevents.addevents.SqlStatements;
import pubevents.util.PrintWebPage;


public class DeleteUsersDelete {

  public DeleteUsersDelete(HttpServletResponse res,
                           int userid)
    throws IOException, SQLException 
  {
    String templateFile = PEDefaults.USER_DELETED;

    res.setContentType("text/html");
    PrintWriter out = res.getWriter();
    SqlStatements sqlstmts = new SqlStatements ();

    try {
       sqlstmts.deleteAuth(userid);
    } finally {
       sqlstmts.close();
    }

    new PrintWebPage(templateFile, out);
    out.close();
  }
} // the end.
